---
title: Thinking machines - some thoughts about large language models
description: "The computers will start thinking, and people will stop."
---

## Work

There's an exchange early in the classic '80s movie TRON. Some scientists are talking shop:

> **ALAN:** Ever since he got that Master Control Program set up, system's got more bugs than a bait store.
> 
> **GIBBS:** Well, you have to expect some static. Computers are just machines after all, they can't think...
> 
> **ALAN:** They'll start to soon enough.
> 
> **GIBBS:** (wryly) Yes, won't that be grand -- *the computers will start thinking, and people will stop*.

Gibbs has a point. The modern vision of a utopian future is one where work is relieved, and people are free to pursue leisure, or exercise their creativity with art, writing, and poetry. Setting aside the irony that creative works are the first and most visible applications of this technology -- is that imagined future actually a good one?

When I was a kid, I remember a day going to yard sales in the family minivan. It was early summer, a hot day. The windows were down and I argued that if the vehicle has good air conditioning, what was the point in getting all hot? "To get used to the warm weather," seemed like such an unfair, dumb answer. We were sweating back there! Later in life, I took a short trip to Arizona in August. Everyone scurried from building to building. Where the sun was doubled, reflected off of glass skyscrapers, it was like a convection oven. It was actually unsafe to spend long stretches outside unprepared. But when I returned to Massachusetts, for the rest of the summer 85 or 90 degrees Fahrenheit felt like nothing.

All that to say, the work that this new technology offers to relieve isn't just about achieving a result. That effort maintains and builds our abilities. Work pushes us to connect to each other for help, or to persevere in doing something difficult.

## Empathy

I'm going to take as a given that this technology does manifest a type of intelligence. Sure, it's "just" multidimensional vector embeddings. But it is obviously intelligent in some way. And it is utterly without empathy. It couldn't *possibly* have empathy -- and intelligence without empathy is dangerous [^1] [^2].

I think the intelligence we see in LLMs is the ancestor of what we sometimes call The Algorithm, used in advertising and social media. The seminal LLM paper is called, "Attention is all you need". A very prescient title. The algorithms that run attention-oriented content feeds are a sort of ancestor. Human attention is a precious thing. These systems (LLMs as well as social media algorithms) are oriented towards capturing that attention. AI images have a magnetic quality. The early iterations would let you down if you look closely at fingers or text, but even those images are hard to ignore. The intelligence of AI is not like ours. It can't know what it's like to be a human, and it was built to attract your attention.

## Truth

It also doesn't care about truth. At a basic level, an LLM is a document completion engine. You give it text, and it extends it. No amount of pre-training or guard rails make it completely truthful because it is built to be convincing. It's called "hallucination" when it references something that doesn't exist or is just wrong. But there is such a thing as truth, and truth is not necessary to be convincing. A person who has this kind of disregard for truth is called a con-man or bullshitter. [^3]

## Warnings

Science fiction is littered with cautionary tales about inhuman intelligence. For that matter, so is myth: genies give people whatever they want, but because people have self-destructive desires (like the desire to avoid work), it goes wrong. There are exceptions, like when Solomon is offered anything he wants, and he asks for wisdom [^4]. Wisdom is having a strong relationship with truth. And because he chooses this, he also ends up with wealth, long life, and other things that would destroy an unwise man.

I am not particularly wise. So I intend to avoid using LLMs as much as possible.

[^1]: [AI chatbot pushed teen to kill himself, lawsuit alleges | AP News](https://apnews.com/article/chatbot-ai-lawsuit-suicide-teen-artificial-intelligence-9d48adc572100822fdbc3c90d1456bd0)
[^2]: [Belgian man dies by suicide following exchanges with chatbot](https://www.brusselstimes.com/430098/belgian-man-commits-suicide-following-exchanges-with-chatgpt)
[^3]: [On Bullshit by Harry Frankfurt : Harry Frankfurt : Free Download, Borrow, and Streaming : Internet Archive](https://archive.org/details/on-bullshit-by-harry-frankfurt)
[^4]: [1 Kings 3 NKJV - Solomon Requests Wisdom](https://www.biblegateway.com/passage/?search=1%20Kings%203&version=NKJV)
